vdirsyncer (0.19.3-5) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Aug 2025 15:10:18 +0200

vdirsyncer (0.19.3-4) experimental; urgency=medium

  * add patches proposed upstream:
    + accept newer branch of module aiostream
    + fix HealthCheck.all() deprecation warnings
  * renumber patch and tighten DEP-3 patch headers

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 30 Jun 2025 07:26:37 +0200

vdirsyncer (0.19.3-3) unstable; urgency=medium

  * Team upload.
  * Remove reference to defunct `python_distutils` d/rules (Closes: #1092759)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 23 Feb 2025 15:15:37 +0100

vdirsyncer (0.19.3-2) unstable; urgency=medium

  * Team upload.
  * Fix _Component.__delitem__ with adjacent identical keys
    (Closes: #1088043).

 -- Colin Watson <cjwatson@debian.org>  Sat, 21 Dec 2024 21:09:37 +0000

vdirsyncer (0.19.3-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * tolerate warnings in autopkgtest

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Oct 2024 03:51:06 +0100

vdirsyncer (0.19.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 21 Jul 2023 10:08:10 +0200

vdirsyncer (0.19.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 27 Jun 2023 20:13:45 +0200

vdirsyncer (0.19.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Debian Janitor ]
  * relax to build-depend unversioned on
    python3-atomicwrites python3-click python3-click-log
    python3-hypothesis, python3-requests python3-requests-toolbelt

  [ Jonas Smedegaard ]
  * update watch file: handle beta releases
  * update and unfuzz patches
  * update copyright info: update coverage
  * add NEWS section,
    covering changes to TLS configuration and storage plugin "google"
  * build- and autopkgtest-depend on
    python3-aioresponses python3-pytest-asyncio
    python3-pytest-httpserver python3-trustme
    (not python3-pytest-localserver);
    build-depend on python3-aiohttp python3-aiostream
    (not python3-click-threading);
    suggest python3-aiohttp-oauthlib
    (not python3-requests-oauthlib)
  * declare compliance with Debian Policy 4.6.2
  * annotate test-only build-dependencies

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Dec 2022 15:00:08 +0100

vdirsyncer (0.18.0-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 11:05:30 +0200

vdirsyncer (0.18.0-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * add python3-all dependency to d/tests/control: the test is written
    so it iterates over all python3 versions but does not depend on
    all pythons. Closes: #1009204

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 18 Apr 2022 17:39:33 +0300

vdirsyncer (0.18.0-6) unstable; urgency=medium

  * avoid checking flaky test test_fuzzing;
    closes: bug#1005968, thanks to Luca Boccassi
  * update copyright info: update coverage
  * modernize build rules;
    build-depend on dh-sequence-python3 dh-sequence-sphinxdoc
    pybuild-plugin-pyproject (not dh-python)

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 22 Feb 2022 23:34:53 +0100

vdirsyncer (0.18.0-5) unstable; urgency=medium

  * fix autopkgtest check with non-default python
    (not repeatedly with default python)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 11 Dec 2021 09:00:57 +0100

vdirsyncer (0.18.0-4) unstable; urgency=medium

  * really fix copy auto-generated version.py for autopkgtest

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 07 Dec 2021 01:36:47 +0100

vdirsyncer (0.18.0-3) unstable; urgency=medium

  * fix copy auto-generated version.py for autopkgtest

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Dec 2021 18:07:42 +0100

vdirsyncer (0.18.0-2) unstable; urgency=medium

  * fix have autopkgtest depend on python3-pytest-cov

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Dec 2021 23:00:11 +0100

vdirsyncer (0.18.0-1) unstable; urgency=medium

  [ upstream ]
  * new release
    + several improvements to testsuite;
      closes: bug#994119, #997497,
      thanks to Benedikt Tuchen and Lucas Nussbaum

  [ Jonas Smedegaard ]
  * add myself as uploader
  * update git-buildpackage config:
    + enable pristine-tar
    + enable signed tags
    + filter-out any .git* file
    + use DEP14 branches debian/latest and upstream/latest
  * update watch file:
    + track Github source
    + mangle upstream prerelease versions
    + add usage comment
  * drop patches 1 4 5 8,
    seemingly obsoleted by upstream testsuite improvements
  * drop patches 6 7, adopted upstream
  * tighten, update and renumber remaining patches,
    and add debian/patches/README file
    documenting patch numbering micro-policy
  * add source helper script copyright-check
  * update copyright info:
    + update coverage
    + license my contributions as GPL-3+
    + add related lintian overrides
  * add patch 2002 to relax dependency on Python module click-log
  * tighten build-dependencies
    on python3-click python3-click-threading python3-requests
  * declare compliance with Debian Policy 4.6.0
  * cleanup autogenerated version file
  * fix use debhelper buildsystem pybuild
    (not accidentally makefile)
  * build-depend on python3-pytest-cov
  * avoid installing misplaced .coverage files

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Dec 2021 04:00:56 +0100

vdirsyncer (0.16.8-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on dh-python.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 22 Aug 2021 03:37:19 +0100

vdirsyncer (0.16.8-2) unstable; urgency=medium

  * Team upload.
  * The test_metadata_normalization sometime fails to run under 200ms which
    prevent the test suite from succeeding, while there isn't an actual
    failure. Disabling deadlines for hypothesis tests.
  * Run actual test suite instead of superficial tests for autopkgtest

 -- Baptiste Beauplat <lyknode@cilg.org>  Tue, 23 Feb 2021 19:05:29 +0100

vdirsyncer (0.16.8-1) unstable; urgency=medium

  * Team Upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Baptiste Beauplat ]
  * New upstream release 0.16.8:
    - Don't use setuptools_scm with sphinx (Closes: #951948)
  * Ignore modification on version.py (re-generated for every version)
  * Rediff patches (renumbered)
  * Add patch to replace deprecated getiterator() by python3.9 compatible
    iter() (Closes: #975494)
  * Fix quoting in verbosity value test
  * Bump debhelper-compat to 13
  * Bump Standard-Version to 4.5.1
  * Set Rules-Requires-Root: no in d/control
  * Update watch file:
    - Use version 4
    - Correctly handle pre-releases versions
  * Remove built docs on cleanup
  * Rename source TODO.Debian to TODO
  * Add user systemd service and timer (Closes: #925538)
  * Add upstream metadata
  * Add Salsa CI pipeline

  [ Mattia Rizzolo ]
  * Rename d/{docs,install,manapges} to d/vdirsyncer.{docs,install.manpages},
    for better clarity.

 -- Baptiste Beauplat <lyknode@cilg.org>  Fri, 22 Jan 2021 11:44:09 +0100

vdirsyncer (0.16.7-2) unstable; urgency=medium

  * d/control: Fix FTBFS caused by missing comma in suggests

 -- Filip Pytloun <filip@pytloun.cz>  Tue, 22 Jan 2019 10:32:31 +0100

vdirsyncer (0.16.7-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python3-Version field

  [ Filip Pytloun ]
  * New upstream release, Closes: #909996
  * d/control: VCS urls are now fixed, Closes: #917092
  * d/control: suggest vdirsyncer-doc, Closes: #902669
  * d/patches: Update patches
  * d/control: Bump standards version
  * d/compat: Bump debhelper version

 -- Filip Pytloun <filip@pytloun.cz>  Tue, 27 Feb 2018 21:11:19 +0100

vdirsyncer (0.16.2-4) unstable; urgency=medium

  * New upstream release
  * Fix lintian warning by removing extra license file
  * Require python-click-log >= 0.2.0

 -- Filip Pytloun <filip@pytloun.cz>  Wed, 06 Sep 2017 13:10:47 +0200

vdirsyncer (0.16.0-3) unstable; urgency=medium

  * Update patch
    0004-Suppress-HealthCheck.too_slow-to-fix-build-on-slow-p.patch:
    use enums rather tan strings to identify health checks to skip.
    Should fix errors about slow data generation on ARM.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 20 Jul 2017 00:37:24 +0000

vdirsyncer (0.16.0-2) unstable; urgency=medium

  * Install upstream changelog. Closes: #867790
  * Add patch 0006-disable-sync.patch: Disable two tests that sometimes
    hang. Closes: #836667

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 19 Jul 2017 01:01:04 +0000

vdirsyncer (0.16.0-1) unstable; urgency=medium

  * New upstream release.
  * Add myself to uploaders.
  * Refresh patches
    + 0001-Don-t-use-subtest.patch
    + 0003-Skip-SSL-tests.patch
    + 0004-Suppress-HealthCheck.too_slow-to-fix-build-on-slow-p.patch
  * d/control: Per upstream, mark as supporting Python >= 3.3.
  * d/rules: Force use of Python3 version of sphinx-build.
  * Bump standards version to 4.0.0 (no changes).

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 03 Jul 2017 00:44:12 +0000

vdirsyncer (0.14.1-1) unstable; urgency=medium

  * New upstream release
  * d/patches: drop 0005-Direct-users-to-Debian-BTS.patch as upstream docs
    already covers Debian packages

 -- Filip Pytloun <filip@pytloun.cz>  Mon, 27 Mar 2017 09:41:21 +0200

vdirsyncer (0.14.0-3) unstable; urgency=medium

  * d/patches: Direct users to Debian BTS to avoid bothering upstream with
    bugs against old versions

 -- Filip Pytloun <filip@pytloun.cz>  Thu, 05 Jan 2017 10:30:17 +0100

vdirsyncer (0.14.0-2) unstable; urgency=medium

  * d/patches: Fix patch fixing tests on slow platforms
  * raise required debhelper version to 10

 -- Filip Pytloun <filip@pytloun.cz>  Mon, 14 Nov 2016 12:07:31 +0100

vdirsyncer (0.14.0-1) unstable; urgency=medium

  * New upstream release (Closes: #842173)
  * d/patches: Rebased for new release

 -- Filip Pytloun <filip@pytloun.cz>  Mon, 31 Oct 2016 14:32:37 +0100

vdirsyncer (0.12.1-1) unstable; urgency=medium

  * new upstream version
  * Fix FTBFS on armhf by disabling HealthCheck.too_slow test

 -- Filip Pytloun <filip@pytloun.cz>  Fri, 09 Sep 2016 10:49:21 +0200

vdirsyncer (0.11.3-1) unstable; urgency=low

  * initial release (Closes: #745027)

 -- Filip Pytloun <filip@pytloun.cz>  Tue, 23 Aug 2016 17:29:54 +0200
